summaryrefslogtreecommitdiff
path: root/tests/dd
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-06-30 03:51:28 +0100
committerPádraig Brady <P@draigBrady.com>2015-07-01 12:27:29 +0100
commite1358a7dd9817fd36166aaaa06cb10cfdd4c3ea7 (patch)
treeb8d304a8bea0cd5c988ffae1b7602bf82b500ad0 /tests/dd
parentf303fb6bbb6a924ab47a5c0d855ef27cb234347f (diff)
downloadcoreutils-e1358a7dd9817fd36166aaaa06cb10cfdd4c3ea7.tar.xz
tests: fix false failure on slower systems
* tests/dd/stats.sh: Wait 20s for dd to write 250MB through a fifo, rather than 10s for 500MB. The failure was seen often on a lightly loaded SPARC-Enterprise-T5220 running Solaris 10.
Diffstat (limited to 'tests/dd')
-rwxr-xr-xtests/dd/stats.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/dd/stats.sh b/tests/dd/stats.sh
index e906c7486..a82c66d20 100755
--- a/tests/dd/stats.sh
+++ b/tests/dd/stats.sh
@@ -39,7 +39,7 @@ cleanup_()
for open in '' '1'; do
# Run dd with the fullblock iflag to avoid short reads
# which can be triggered by reception of signals
- dd iflag=fullblock if=/dev/zero of=fifo count=100 bs=5000000 2>err & pid=$!
+ dd iflag=fullblock if=/dev/zero of=fifo count=50 bs=5000000 2>err & pid=$!
# Note if we sleep here we give dd a chance to exec and block on open.
# Otherwise we're probably testing SIG_IGN in the forked shell or early dd.
@@ -47,7 +47,7 @@ for open in '' '1'; do
# dd will block on open until fifo is opened for reading.
# Timeout in case dd goes away erroneously which we check for below.
- timeout 10 sh -c 'wc -c < fifo > nwritten' & pid2=$!
+ timeout 20 sh -c 'wc -c < fifo > nwritten' & pid2=$!
# Send lots of signals immediately to ensure dd not killed due
# to race setting handler, or blocking on open of fifo.
@@ -59,7 +59,7 @@ for open in '' '1'; do
wait
# Ensure all data processed and at least last status written
- grep '500000000 bytes .* copied' err || { cat err; fail=1; }
+ grep '250000000 bytes .* copied' err || { cat err; fail=1; }
done
progress_output()